libqca2-plugins_2.1.3-2_i386.deb


Advertisement

Description

libqca2-plugins - QCA plugins for libqca2

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libqca2-plugins_2.1.3-2_i386.deb
Package name libqca2-plugins
Package version 2.1.3
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://delta.affinix.com/qca/
License -
Maintainer Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 198.40 KB
Installed size 680.00 KB
This plugin provides cryptographic as well as helper plugins for Qt
Cryptographic Architecture (QCA).

Alternatives

Package Version Architecture Repository
libqca2-plugins_2.1.3-2_amd64.deb 2.1.3 amd64 Debian Main
libqca2-plugins - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libqca2 = 2.1.3-2
libqtcore4 >= 4:4.8.0
libsasl2-2 -
libssl1.1 >= 1.1.0
libstdc++6 >= 4.4.0

Replaces

Name Value
libqca2-plugin-cyrus-sasl << 2.1.0
libqca2-plugin-gnupg << 2.1.0
libqca2-plugin-ossl << 2.1.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libqca2-plugins_2.1.3-2_i386.deb
Source Package qca2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqca2-plugins deb package:
    # sudo apt-get install libqca2-plugins

Files

Path
/usr/lib/i386-linux-gnu/qca/crypto/libqca-cyrus-sasl.so
/usr/lib/i386-linux-gnu/qca/crypto/libqca-gnupg.so
/usr/lib/i386-linux-gnu/qca/crypto/libqca-logger.so
/usr/lib/i386-linux-gnu/qca/crypto/libqca-ossl.so
/usr/lib/i386-linux-gnu/qca/crypto/libqca-softstore.so
/usr/share/doc/libqca2-plugins/changelog.Debian.gz
/usr/share/doc/libqca2-plugins/copyright

Changelog

2018-01-21 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.3-2) unstable; urgency=medium
* Switch to OpenSSL 1.1. (Closes: #850897)
Backport upstream patches:
- Disable_missed_openssl_cipher_suites.diff
- Add_support_for_OpenSSL_1.1.0.diff
* Remove transitional packages. (Closes: #874758)
* Migrate to -dbgsym packages.
* Update symbols files.
* Fix acc autopkgtest by allowing stderr output.
* Switch to debhelper compat level 11.
2017-06-18 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.3-1) unstable; urgency=medium
* New upstream release.
* Remove patches that have been applied upstream:
- fix_build_without_sslv3.diff
- fix_base64_decoding_on_ARM.diff
2016-11-15 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.1-4) unstable; urgency=medium
* Fix FTBFS on architectures where char is unsigned.
- Add fix_base64_decoding_on_ARM.diff
2016-11-15 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.1-3) unstable; urgency=medium
* Keep using openssl 1.0 since upstream doesn't support 1.1 and adapting
the codebase seems non-trivial. (bug #828519)
* Update symbols files.
2015-11-04 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.1-2) unstable; urgency=medium
* Fix build without SSLv3.
- Cherry-pick fix_build_without_sslv3.diff from upstream.
2015-10-28 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.1-1) unstable; urgency=medium
* New upstream release.
- Fixes FTBFS with Qt 5.5. (Closes: #803238)
* Update watch file.
* Remove inactive uploaders from the list.
2015-08-05 - Maximiliano Curia <maxy@debian.org>
qca2 (2.1.0.3-4) unstable; urgency=medium
* Update symbols files from buildds logs (2.1.0.3-3).
* Update symbols files for gcc5 compatibility. (Closes: #778083)
Thanks to Matthias Klose
* Update symbols files.
2015-06-08 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.0.3-3) unstable; urgency=medium
* Team upload to unstable.
* Update symbols files.
2015-05-30 - Felix Geyer <fgeyer@debian.org>
qca2 (2.1.0.3-2) experimental; urgency=medium
* Run the test suite on both builds.
* Install all qca Qt4 plugins into the new package libqca2-plugins.
- Add transitional packages for the existing libqca2-plugin-*
* Make libqca2 recommend the plugins.
* Install cmake modules to libqca2-dev.
* Add autopkgtests: ciphertest-qt4 and ciphertest-qt5.
* Drop XS-Testsuite control field. dpkg adds it automatically now.
* Update libqca-qt5-2.symbols.
2015-02-13 - Maximiliano Curia <maxy@debian.org>
qca2 (2.1.0.3-1) experimental; urgency=medium
* Prepare qt5 support.
* Bump Standards-Version to 3.9.6, no changes needed.
* Add myself as Uploader.
* Update build dependencies to build against experimental and to
follow cmake.
* Add qt5 packages.
* Remove patch: disable_randomunittest.diff
* Remove patch: fix_build_gcc4.7.diff
* Add qt5 symbols file.
* New patch: kubuntu_ignore_filewatch_test.diff
* Update copyright information.
* Add basic autopkgtests support.
* Update symbols files.

See Also

Package Description
libqca2_2.1.3-2_i386.deb libraries for the Qt Cryptographic Architecture
libqcheck-ocaml-dev_0.8-1_i386.deb QuickCheck inspired property-based testing for OCaml (Development package)
libqcheck-ocaml-doc_0.8-1_all.deb Documentation for ocaml-qcheck
libqcheck-ocaml_0.8-1_i386.deb QuickCheck inspired property-based testing for OCaml (Runtime library)
libqcow-dev_20181227-1_i386.deb QEMU Copy-On-Write image format access library -- development files
libqcow-utils_20181227-1_i386.deb QEMU Copy-On-Write image format access library -- Utilities
libqcow1_20181227-1_i386.deb QEMU Copy-On-Write image format access library
libqcsxcad0_0.0.35+dfsg.1-3_i386.deb QT Gui Library for Visualization of Continuous Structure XML
libqcustomplot-dev_2.0.1+dfsg1-1_i386.deb Qt C++ widget for plotting - header
libqcustomplot-doc_2.0.1+dfsg1-1_all.deb Qt C++ widget for plotting - documentation and examples
libqcustomplot2.0_2.0.1+dfsg1-1_i386.deb Qt C++ widget for plotting
libqd-dev_2.3.22+dfsg.1-2_i386.deb Double-double and quad double types in C++ and F90
libqd0v5_2.3.22+dfsg.1-2_i386.deb Double-double and quad double types in C++ and F90
libqdbm++-dev_1.8.78-9+b1_i386.deb QDBM Database Libraries for C++ [development] (transitional package)
libqdbm-dev_1.8.78-9+b1_i386.deb QDBM Database Libraries [development]
Advertisement
Advertisement